Bug 26545 - [iOS] Project options -> iOS Application -> Devices -> "iPhone/iPod" setting doesn't allow user to select iPad for debug / deployment
Summary: [iOS] Project options -> iOS Application -> Devices -> "iPhone/iPod" setting ...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 3.9
Hardware: PC Mac OS
: Highest normal
Target Milestone: 3.9.3
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-29 11:42 UTC by Kent Green [MSFT]
Modified: 2015-03-12 13:56 UTC (History)
7 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Kent Green [MSFT] 2015-01-29 11:42:09 UTC
===Overview===
From this desk case:
https://xamarin.desk.com/agent/case/120269

Customer reports that Project options -> iOS Application -> Devices -> "iPhone/iPod" setting doesn't allow user to select iPad for debug / deployment: http://screencast.com/t/3JqBQGir

===Steps to reproduce===
1. Create a new iOS Universal Blank Project
2. "Set Project options -> iOS Application -> Devices" to the "iPhone/iPod" setting.
3. Observe that iPad deployment options are not shown in the device deployment list. 

===Expected Behavior===
Jon Goldberger reports that despite the deployment setting being labeled "iPhone/iPod," iPad deployment options should still be shown; but the logic for how they are handled works differently. (In this case, the app is expected to deploy to the iPad but only take up an iPhone sized space on the screen. On the iPad there will be a "2x" icon to expand the iPhone sized app to better fill the iPad.)

===Actual Behavior===
The user is unable to select an iPad to deploy to. 

===Build info===
Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0447006-02429
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0447006-02429
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0447006-02429
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0447006-02429
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0447006-02429
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0447006-02429
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0447006-02429
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06177-004-0447006-02429
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.3.50717.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.20703.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.2
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.2
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.2
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.30919.1
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.9.289.0 (39a70ae)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.6.1.0 (3b3ef438017c7ecf486defa9e01567a5f2b3cb2a)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 1 Brendan Zagaeski (Xamarin Support) 2015-02-11 03:27:24 UTC
To sum up the desired behavior in a slightly different way:

Deploy iPhone to iPhone: allow
Deploy iPad to iPad: allow
Deploy iPhone to iPad: allow
Deploy iPad to iPhone: disallow
Comment 2 Saurabh 2015-02-16 06:54:11 UTC
I am also getting the same behavior mentioned in this bug. This is the screencast for the same: http://www.screencast.com/t/iC15HW4s

Microsoft Visual Studio Professional 2012
Version 11.0.61030.00 Update 4
Microsoft .NET Framework
Version 4.6.00007

Installed Version: Professional

LightSwitch for Visual Studio 2012   04938-004-0033001-02186
Microsoft LightSwitch for Visual Studio 2012

Office Developer Tools   04938-004-0033001-02186
Microsoft Office Developer Tools

Team Explorer for Visual Studio 2012   04938-004-0033001-02186
Microsoft Team Explorer for Visual Studio 2012

Visual Basic 2012   04938-004-0033001-02186
Microsoft Visual Basic 2012

Visual C# 2012   04938-004-0033001-02186
Microsoft Visual C# 2012

Visual C++ 2012   04938-004-0033001-02186
Microsoft Visual C++ 2012

Visual F# 2012   04938-004-0033001-02186
Microsoft Visual F# 2012

Visual Studio 2012 Code Analysis Spell Checker   04938-004-0033001-02186
Microsoft® Visual Studio® 2012 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Visual Studio 2012 SharePoint Developer Tools   04938-004-0033001-02186
Microsoft Visual Studio 2012 SharePoint Developer Tools

ASP.NET and Web Tools   2012.3.41009
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Windows Azure Web Sites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Windows Azure

NuGet Package Manager   2.8.50926.602
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.0
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   11.1.20627.00
Microsoft SQL Server Data Tools

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.9.325.0 (96e7814)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.6.2.0 (09ae75f83eafce1bdc3fa067f281cbdf1ca7b893)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 6 PJ 2015-03-12 10:34:22 UTC
This is fixed in SR3.
Comment 7 PJ 2015-03-12 10:39:22 UTC
360logica reported it was not actually fixed in the latest SR3 builds, but this bug had not been RESOLVED yet.  

REOPENing based on comment in https://trello.com/c/zFyQ7SDL/41-extensions-3-9-ios-project-options-ios-application-devices-iphone-ipod-setting-doesn-t-allow-user-to-select-ipad-for-debug-deplo

> This issue still exist with latest build of C4SR3 :
> Xamarin.VisualStudio_3.9.514_d4ee70cc8f58ed5e47bece4242bc14d08da4063d.msi
> monotouch-8.8.1.8_ad74608161f054b66d36020d1074c4d31fd4a684

> Screencast : http://www.screencast.com/t/QPhQu8dO
Comment 8 Jose Gallardo 2015-03-12 10:51:11 UTC
Please verify the fix with a physical iPad. 
We agreed to allow the user to select any physical iOS device, but no simulators.
Comment 11 Mohit Kheterpal 2015-03-12 13:56:51 UTC
I have checked this issue and this issue is working fine with iPad physical device as shown in screencast : http://www.screencast.com/t/gxUwUWHFRk9 with C4SR3 builds.

Hence closing this issue.

Note You need to log in before you can comment on or make changes to this bug.